Ext.data.JsonP.econda_abtest_Optimizely({"tagname":"class","name":"econda.abtest.Optimizely","autodetected":{},"files":[{"filename":"Optimizely.js","href":"Optimizely.html#econda-abtest-Optimizely"}],"static":true,"members":[{"name":"variationsCache","tagname":"property","owner":"econda.abtest.Optimizely","id":"static-property-variationsCache","meta":{"private":true,"static":true}},{"name":"cleanTextData","tagname":"method","owner":"econda.abtest.Optimizely","id":"static-method-cleanTextData","meta":{"private":true,"static":true}},{"name":"convertExperimentToTrackingData","tagname":"method","owner":"econda.abtest.Optimizely","id":"static-method-convertExperimentToTrackingData","meta":{"private":true,"static":true}},{"name":"getState","tagname":"method","owner":"econda.abtest.Optimizely","id":"static-method-getState","meta":{"private":true,"static":true}},{"name":"getTrackingData","tagname":"method","owner":"econda.abtest.Optimizely","id":"static-method-getTrackingData","meta":{"static":true}},{"name":"initVariationsCache","tagname":"method","owner":"econda.abtest.Optimizely","id":"static-method-initVariationsCache","meta":{"private":true,"static":true}}],"alternateClassNames":[],"aliases":{},"id":"static-class-econda.abtest.Optimizely","short_doc":"Helper class to track optimizely a/b/n test using econda web tracking. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/Optimizely.html#econda-abtest-Optimizely' target='_blank'>Optimizely.js</a></div></pre><div class='doc-contents'><p>Helper class to track optimizely a/b/n test using econda web tracking.\nThis class will read running experiments and variations from optimizely and transform them in\na data structure as expected by econda ab test tracking.</p>\n\n<pre><code>var emospro = {\n    content: \"company/about us\",\n    siteid: \"my-domain.com\"\n};\nemospro.abtest = <a href=\"#!/api/econda.abtest.Optimizely-static-method-getTrackingData\" rel=\"econda.abtest.Optimizely-static-method-getTrackingData\" class=\"docClass\">econda.abtest.Optimizely.getTrackingData</a>();\nwindow.emos3.send(emospro);\n</code></pre>\n</div><div class='members'><div class='members-section'><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static properties</h3><div id='static-property-variationsCache' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.abtest.Optimizely'>econda.abtest.Optimizely</span><br/><a href='source/Optimizely.html#econda-abtest-Optimizely-static-property-variationsCache' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.abtest.Optimizely-static-property-variationsCache' class='name expandable'>variationsCache</a> : Object<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'><p>Variation id to variation object cache</p>\n</div><div class='long'><p>Variation id to variation object cache</p>\n</div></div></div></div></div><div class='members-section'><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static methods</h3><div id='static-method-cleanTextData' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.abtest.Optimizely'>econda.abtest.Optimizely</span><br/><a href='source/Optimizely.html#econda-abtest-Optimizely-static-method-cleanTextData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.abtest.Optimizely-static-method-cleanTextData' class='name expandable'>cleanTextData</a>( <span class='pre'>text</span> ) : String<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Removes characters that are not allowed in section and variation names. ...</div><div class='long'><p>Removes characters that are not allowed in section and variation names.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>text</span> : String<div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='static-method-convertExperimentToTrackingData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.abtest.Optimizely'>econda.abtest.Optimizely</span><br/><a href='source/Optimizely.html#econda-abtest-Optimizely-static-method-convertExperimentToTrackingData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.abtest.Optimizely-static-method-convertExperimentToTrackingData' class='name expandable'>convertExperimentToTrackingData</a>( <span class='pre'>experiment</span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Converts a single experiment (incl. ...</div><div class='long'><p>Converts a single experiment (incl. active variations) into tracking data as required by econda tracking</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>experiment</span> : Object<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='static-method-getState' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.abtest.Optimizely'>econda.abtest.Optimizely</span><br/><a href='source/Optimizely.html#econda-abtest-Optimizely-static-method-getState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.abtest.Optimizely-static-method-getState' class='name expandable'>getState</a>( <span class='pre'></span> ) : Object<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Get active experiments with their active variations. ...</div><div class='long'><p>Get active experiments with their active variations. Return value is NOT intended to be\nused directly in econda tracking. See <a href=\"#!/api/econda.abtest.Optimizely-static-method-getTrackingData\" rel=\"econda.abtest.Optimizely-static-method-getTrackingData\" class=\"docClass\">getTrackingData</a>.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='static-method-getTrackingData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.abtest.Optimizely'>econda.abtest.Optimizely</span><br/><a href='source/Optimizely.html#econda-abtest-Optimizely-static-method-getTrackingData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.abtest.Optimizely-static-method-getTrackingData' class='name expandable'>getTrackingData</a>( <span class='pre'></span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Returns data as expected by econda tracking. ...</div><div class='long'><p>Returns data as expected by econda tracking.</p>\n\n<pre><code>emospro.abtest = <a href=\"#!/api/econda.abtest.Optimizely-static-method-getTrackingData\" rel=\"econda.abtest.Optimizely-static-method-getTrackingData\" class=\"docClass\">econda.abtest.Optimizely.getTrackingData</a>();\n</code></pre>\n</div></div></div><div id='static-method-initVariationsCache' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.abtest.Optimizely'>econda.abtest.Optimizely</span><br/><a href='source/Optimizely.html#econda-abtest-Optimizely-static-method-initVariationsCache' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.abtest.Optimizely-static-method-initVariationsCache' class='name expandable'>initVariationsCache</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'>It's better to cache variations data due to object tree layout in optimizely data. ...</div><div class='long'><p>It's better to cache variations data due to object tree layout in optimizely data.</p>\n</div></div></div></div></div></div></div>","meta":{"static":true}});