Ext.data.JsonP.econda_cookie_Store({"tagname":"class","name":"econda.cookie.Store","autodetected":{},"files":[{"filename":"Store.js","href":"Store.html#econda-cookie-Store"}],"static":true,"members":[{"name":"contains","tagname":"method","owner":"econda.cookie.Store","id":"method-contains","meta":{}},{"name":"find","tagname":"method","owner":"econda.cookie.Store","id":"method-find","meta":{}},{"name":"getValue","tagname":"method","owner":"econda.cookie.Store","id":"method-getValue","meta":{}},{"name":"remove","tagname":"method","owner":"econda.cookie.Store","id":"method-remove","meta":{"chainable":true}},{"name":"set","tagname":"method","owner":"econda.cookie.Store","id":"method-set","meta":{"chainable":true}}],"alternateClassNames":[],"aliases":{},"id":"static-class-econda.cookie.Store","short_doc":"Helper to read and write cookies. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/Store.html#econda-cookie-Store' target='_blank'>Store.js</a></div></pre><div class='doc-contents'><p>Helper to read and write cookies.</p>\n\n<h3>Example</h3>\n\n\n<p>Add new cookie to browser:</p>\n\n\n<pre><code> <a href=\"#!/api/econda.cookie.Store-method-set\" rel=\"econda.cookie.Store-method-set\" class=\"docClass\">econda.cookie.Store.set</a>({name: \"myCookie\", value: \"my cookie value\"});\n</code></pre>\n\n<p>Get value of existing cookie (or null if not set):</p>\n\n\n<pre><code> var val = <a href=\"#!/api/econda.cookie.Store-method-getValue\" rel=\"econda.cookie.Store-method-getValue\" class=\"docClass\">econda.cookie.Store.getValue</a>(\"myCookie\");\n</code></pre>\n\n<p>Delete cookie:</p>\n\n\n<pre><code> <a href=\"#!/api/econda.cookie.Store-method-remove\" rel=\"econda.cookie.Store-method-remove\" class=\"docClass\">econda.cookie.Store.remove</a>({name: \"mycookie\", domain: \".example.com\"});\n</code></pre>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-contains' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.cookie.Store'>econda.cookie.Store</span><br/><a href='source/Store.html#econda-cookie-Store-method-contains' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.cookie.Store-method-contains' class='name expandable'>contains</a>( <span class='pre'>cookieName</span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>True if a cookie with given name exists ...</div><div class='long'><p>True if a cookie with given name exists</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cookieName</span> : String<div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-find' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.cookie.Store'>econda.cookie.Store</span><br/><a href='source/Store.html#econda-cookie-Store-method-find' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.cookie.Store-method-find' class='name expandable'>find</a>( <span class='pre'>query</span> ) : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Find cookies matching given regular expression. ...</div><div class='long'><p>Find cookies matching given regular expression. Will return key/value only (no additional properties like domain,...).</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>query</span> : RegExp<div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>Object with properties containing all matching cookie values</p>\n</div></li></ul></div></div></div><div id='method-getValue' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.cookie.Store'>econda.cookie.Store</span><br/><a href='source/Store.html#econda-cookie-Store-method-getValue' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.cookie.Store-method-getValue' class='name expandable'>getValue</a>( <span class='pre'>name</span> ) : String<span class=\"signature\"></span></div><div class='description'><div class='short'>Get value for cookie by name or null if cookie was not found. ...</div><div class='long'><p>Get value for cookie by name or null if cookie was not found.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : String<div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'><p>Value of cookie</p>\n</div></li></ul></div></div></div><div id='method-remove' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.cookie.Store'>econda.cookie.Store</span><br/><a href='source/Store.html#econda-cookie-Store-method-remove' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.cookie.Store-method-remove' class='name expandable'>remove</a>( <span class='pre'>cookie</span> ) : <a href=\"#!/api/econda.cookie.Store\" rel=\"econda.cookie.Store\" class=\"docClass\">econda.cookie.Store</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Remove cookie from browsers cookie collection. ...</div><div class='long'><p>Remove cookie from browsers cookie collection. Make sure to remove a cookie with the same settings as it was set before.\nYou'll not be able to remove a cookie by name, if it was set with domain and / or path settings.</p>\n\n<pre><code><a href=\"#!/api/econda.cookie.Store-method-remove\" rel=\"econda.cookie.Store-method-remove\" class=\"docClass\">econda.cookie.Store.remove</a>({name: \"mycookie\", domain: \".example.com\"});\n</code></pre>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cookie</span> : <a href=\"#!/api/econda.cookie.Cookie\" rel=\"econda.cookie.Cookie\" class=\"docClass\">econda.cookie.Cookie</a>/Object/String<div class='sub-desc'><p>object or cookie config options</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/econda.cookie.Store\" rel=\"econda.cookie.Store\" class=\"docClass\">econda.cookie.Store</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-set' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.cookie.Store'>econda.cookie.Store</span><br/><a href='source/Store.html#econda-cookie-Store-method-set' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.cookie.Store-method-set' class='name expandable'>set</a>( <span class='pre'>cookie, [encodeValue]</span> ) : <a href=\"#!/api/econda.cookie.Store\" rel=\"econda.cookie.Store\" class=\"docClass\">econda.cookie.Store</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Set / add cookie to browsers cookie collection\n\neconda.cookie.Store.set({name: \"mycookie\", value: \"example\"}); ...</div><div class='long'><p>Set / add cookie to browsers cookie collection</p>\n\n<pre><code><a href=\"#!/api/econda.cookie.Store-method-set\" rel=\"econda.cookie.Store-method-set\" class=\"docClass\">econda.cookie.Store.set</a>({name: \"mycookie\", value: \"example\"});\n</code></pre>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cookie</span> : <a href=\"#!/api/econda.cookie.Cookie\" rel=\"econda.cookie.Cookie\" class=\"docClass\">econda.cookie.Cookie</a>/Object<div class='sub-desc'><p>object or cookie config options</p>\n</div></li><li><span class='pre'>encodeValue</span> : Boolean (optional)<div class='sub-desc'><p>encodeURIComponent cookie value</p>\n<p>Defaults to: <code>true</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/econda.cookie.Store\" rel=\"econda.cookie.Store\" class=\"docClass\">econda.cookie.Store</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{"static":true}});