Ext.data.JsonP.econda_debug({"tagname":"class","name":"econda.debug","autodetected":{},"files":[{"filename":"debug.js","href":"debug.html#econda-debug"}],"static":true,"members":[{"name":"logViewerInstance","tagname":"property","owner":"econda.debug","id":"property-logViewerInstance","meta":{"private":true}},{"name":"error","tagname":"method","owner":"econda.debug","id":"static-method-error","meta":{"chainable":true,"static":true}},{"name":"getEnabled","tagname":"method","owner":"econda.debug","id":"static-method-getEnabled","meta":{"static":true}},{"name":"log","tagname":"method","owner":"econda.debug","id":"static-method-log","meta":{"chainable":true,"static":true}},{"name":"setEnabled","tagname":"method","owner":"econda.debug","id":"static-method-setEnabled","meta":{"chainable":true,"static":true}},{"name":"setOutputContainer","tagname":"method","owner":"econda.debug","id":"static-method-setOutputContainer","meta":{"chainable":true,"static":true}},{"name":"warn","tagname":"method","owner":"econda.debug","id":"static-method-warn","meta":{"chainable":true,"static":true}}],"alternateClassNames":[],"aliases":{},"id":"static-class-econda.debug","short_doc":"Provides some basic debugging functions\n\nThis api will not output any messages (including errors) as long as debug mo...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/debug.html#econda-debug' target='_blank'>debug.js</a></div></pre><div class='doc-contents'><p>Provides some basic debugging functions</p>\n\n<p>This api will not output any messages (including errors) as long as debug mode\nis not enabled!</p>\n\n\n<p>During development, we strongly recommend to enable debug mode. This will output\ndebug messages, warning and errors on browser console.</p>\n\n\n<pre><code>// somewhere before you use the tracking api\nvar econdaConfig = { debug: true };\n\n// debug messages will be logged to browser console.\n// you can add the id of a div element to log messages to this div element too\n<a href=\"#!/api/econdaConfig-property-debugOutputContainer\" rel=\"econdaConfig-property-debugOutputContainer\" class=\"docClass\">econdaConfig.debugOutputContainer</a> = \"id-of-div-element\";\n</code></pre>\n\n<p>It's ok to setup debug configuration before or after the library was loaded.</p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-logViewerInstance' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.debug'>econda.debug</span><br/><a href='source/debug.html#econda-debug-property-logViewerInstance' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.debug-property-logViewerInstance' class='name expandable'>logViewerInstance</a> : Object<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'><p>LogViewer instance</p>\n</div><div class='long'><p>LogViewer instance</p>\n</div></div></div></div></div><div class='members-section'><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static methods</h3><div id='static-method-error' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.debug'>econda.debug</span><br/><a href='source/debug.html#econda-debug-static-method-error' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.debug-static-method-error' class='name expandable'>error</a>( <span class='pre'>message, data</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Writes error message to console if debug mode is enabled ...</div><div class='long'><p>Writes error message to console if debug mode is enabled</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>message</span> : String<div class='sub-desc'>\n</div></li><li><span class='pre'>data</span> : Array<div class='sub-desc'><p>additional information</p>\n</div></li></ul></div></div></div><div id='static-method-getEnabled' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.debug'>econda.debug</span><br/><a href='source/debug.html#econda-debug-static-method-getEnabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.debug-static-method-getEnabled' class='name expandable'>getEnabled</a>( <span class='pre'></span> ) : Boolean<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Get status, returns true if enabled ...</div><div class='long'><p>Get status, returns true if enabled</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'><p>True if debug mode is enabled</p>\n</div></li></ul></div></div></div><div id='static-method-log' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.debug'>econda.debug</span><br/><a href='source/debug.html#econda-debug-static-method-log' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.debug-static-method-log' class='name expandable'>log</a>( <span class='pre'>message, data</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Writes debug message to console if debug mode is enabled ...</div><div class='long'><p>Writes debug message to console if debug mode is enabled</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>message</span> : String<div class='sub-desc'>\n</div></li><li><span class='pre'>data</span> : Array<div class='sub-desc'><p>additional information</p>\n</div></li></ul></div></div></div><div id='static-method-setEnabled' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.debug'>econda.debug</span><br/><a href='source/debug.html#econda-debug-static-method-setEnabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.debug-static-method-setEnabled' class='name expandable'>setEnabled</a>( <span class='pre'>enabled</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Enable debug mode for current page. ...</div><div class='long'><p>Enable debug mode for current page.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>enabled</span> : Boolean<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='static-method-setOutputContainer' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.debug'>econda.debug</span><br/><a href='source/debug.html#econda-debug-static-method-setOutputContainer' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.debug-static-method-setOutputContainer' class='name expandable'>setOutputContainer</a>( <span class='pre'>htmlElement</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Set div element where to write the log output ...</div><div class='long'><p>Set div element where to write the log output</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>htmlElement</span> : Object<div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-warn' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.debug'>econda.debug</span><br/><a href='source/debug.html#econda-debug-static-method-warn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.debug-static-method-warn' class='name expandable'>warn</a>( <span class='pre'>message, data</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Writes warning to console if debug mode is enabled ...</div><div class='long'><p>Writes warning to console if debug mode is enabled</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>message</span> : String<div class='sub-desc'>\n</div></li><li><span class='pre'>data</span> : Array<div class='sub-desc'><p>additional information</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{"static":true}});