Ext.data.JsonP.econda_media_Content({"tagname":"class","name":"econda.media.Content","autodetected":{},"files":[{"filename":"Content.js","href":"Content.html#econda-media-Content"}],"extends":"econda.base.BaseClass","members":[{"name":"content","tagname":"cfg","owner":"econda.media.Content","id":"cfg-content","meta":{}},{"name":"name","tagname":"cfg","owner":"econda.media.Content","id":"cfg-name","meta":{}},{"name":"__defaultProperty","tagname":"property","owner":"econda.media.Content","id":"property-__defaultProperty","meta":{"private":true}},{"name":"_getClassName","tagname":"method","owner":"econda.base.BaseClass","id":"method-_getClassName","meta":{"private":true}},{"name":"addArray","tagname":"method","owner":"econda.base.BaseClass","id":"method-addArray","meta":{"chainable":true}},{"name":"clone","tagname":"method","owner":"econda.base.BaseClass","id":"method-clone","meta":{}},{"name":"get","tagname":"method","owner":"econda.base.BaseClass","id":"method-get","meta":{}},{"name":"getContent","tagname":"method","owner":"econda.media.Content","id":"method-getContent","meta":{}},{"name":"getGetterName","tagname":"method","owner":"econda.base.BaseClass","id":"method-getGetterName","meta":{"private":true}},{"name":"getName","tagname":"method","owner":"econda.media.Content","id":"method-getName","meta":{}},{"name":"getSetterName","tagname":"method","owner":"econda.base.BaseClass","id":"method-getSetterName","meta":{"private":true}},{"name":"initConfig","tagname":"method","owner":"econda.base.BaseClass","id":"method-initConfig","meta":{"private":true}},{"name":"set","tagname":"method","owner":"econda.base.BaseClass","id":"method-set","meta":{"chainable":true}},{"name":"setArray","tagname":"method","owner":"econda.base.BaseClass","id":"method-setArray","meta":{"chainable":true}},{"name":"setContent","tagname":"method","owner":"econda.media.Content","id":"method-setContent","meta":{}},{"name":"setName","tagname":"method","owner":"econda.media.Content","id":"method-setName","meta":{}},{"name":"toString","tagname":"method","owner":"econda.media.Content","id":"method-toString","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-econda.media.Content","short_doc":"Media content object. ...","component":false,"superclasses":["econda.base.BaseClass"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='docClass'>econda.base.BaseClass</a><div class='subclass '><strong>econda.media.Content</strong></div></div><h4>Files</h4><div class='dependency'><a href='source/Content.html#econda-media-Content' target='_blank'>Content.js</a></div></pre><div class='doc-contents'><p>Media content object. Defines name and category of tracked video / audio file. In most cases you'll set\nthese properties directly in the <a href=\"#!/api/econda.media.MediaTracker-cfg-content\" rel=\"econda.media.MediaTracker-cfg-content\" class=\"docClass\">econda.media.MediaTracker.content</a> property of your <a href=\"#!/api/econda.media.MediaTracker\" rel=\"econda.media.MediaTracker\" class=\"docClass\">econda.media.MediaTracker</a> instance.</p>\n\n<p>Content information defines, how (and where) users will see a media file in their reports.</p>\n\n<p>Example:\n    var myContent = new <a href=\"#!/api/econda.media.Content\" rel=\"econda.media.Content\" class=\"docClass\">econda.media.Content</a>({\n         name: \"My Skater Video\",\n         category: \"/News/Sports\"\n    });</p>\n\n<pre><code>var tracker = new <a href=\"#!/api/econda.media.MediaTracker\" rel=\"econda.media.MediaTracker\" class=\"docClass\">econda.media.MediaTracker</a>({\n    content: myContent,\n    duration: 120\n});\n\n// or as a shorthand version...\nvar tracker = new <a href=\"#!/api/econda.media.MediaTracker\" rel=\"econda.media.MediaTracker\" class=\"docClass\">econda.media.MediaTracker</a>({\n    content: {\n        name: \"My Skater Video\",\n        category: \"/News/Sports\"\n    }\n    duration: 120\n});\n\n// or as part of helper object\nvar trackingHelper = new <a href=\"#!/api/econda.media.helper.HtmlVideoTracker\" rel=\"econda.media.helper.HtmlVideoTracker\" class=\"docClass\">econda.media.helper.HtmlVideoTracker</a>({\n    player: document.getElementById(\"videoTagId\"),\n    tracker: {\n        content: {\n            name: \"My Skater Video\",\n            category: \"/News/Sports\"\n        }\n    }\n});\n</code></pre>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-content' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.media.Content'>econda.media.Content</span><br/><a href='source/Content.html#econda-media-Content-cfg-content' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.media.Content-cfg-content' class='name expandable'>content</a> : <a href=\"#!/api/econda.media.Category\" rel=\"econda.media.Category\" class=\"docClass\">econda.media.Category</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>Content categorycategory</p>\n</div><div class='long'><p>Content categorycategory</p>\n</div></div></div><div id='cfg-name' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.media.Content'>econda.media.Content</span><br/><a href='source/Content.html#econda-media-Content-cfg-name' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.media.Content-cfg-name' class='name expandable'>name</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Name of content, may NOT contains slashes</p>\n</div><div class='long'><p>Name of content, may NOT contains slashes</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-__defaultProperty' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.media.Content'>econda.media.Content</span><br/><a href='source/Content.html#econda-media-Content-property-__defaultProperty' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.media.Content-property-__defaultProperty' class='name expandable'>__defaultProperty</a> : String<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Handle non object config values as value for property... ...</div><div class='long'><p>Handle non object config values as value for property...</p>\n<p>Defaults to: <code>&quot;name&quot;</code></p><p>Overrides: <a href=\"#!/api/econda.base.BaseClass-property-__defaultProperty\" rel=\"econda.base.BaseClass-property-__defaultProperty\" class=\"docClass\">econda.base.BaseClass.__defaultProperty</a></p></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-_getClassName' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-_getClassName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-_getClassName' class='name expandable'>_getClassName</a>( <span class='pre'></span> ) : String<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>get name of class. ...</div><div class='long'><p>get name of class. This will fail on older browsers and is intended for debug logging only</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-addArray' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-addArray' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-addArray' class='name expandable'>addArray</a>( <span class='pre'>fieldName, data, type, callback</span> ) : <a href=\"#!/api/econda.base.BaseClass\" rel=\"econda.base.BaseClass\" class=\"docClass\">econda.base.BaseClass</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Helper function to add objects to an array. ...</div><div class='long'><p>Helper function to add objects to an array. Will use data as constructor argument if data is not an instance of given type.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fieldName</span> : String<div class='sub-desc'>\n</div></li><li><span class='pre'>data</span> : Mixed<div class='sub-desc'><p>instance or config</p>\n</div></li><li><span class='pre'>type</span> : Function<div class='sub-desc'><p>Reference to class</p>\n</div></li><li><span class='pre'>callback</span> : Function<div class='sub-desc'>\n<p>Defaults to: <code>null</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/econda.base.BaseClass\" rel=\"econda.base.BaseClass\" class=\"docClass\">econda.base.BaseClass</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-clone' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-clone' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-clone' class='name expandable'>clone</a>( <span class='pre'></span> ) : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Create a clone of current instance. ...</div><div class='long'><p>Create a clone of current instance.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-get' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-get' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-get' class='name expandable'>get</a>( <span class='pre'>propertyName</span> ) : Mixed<span class=\"signature\"></span></div><div class='description'><div class='short'>Get property value by name ...</div><div class='long'><p>Get property value by name</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>propertyName</span> : String<div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getContent' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.media.Content'>econda.media.Content</span><br/><a href='source/Content.html#econda-media-Content-cfg-content' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.media.Content-method-getContent' class='name expandable'>getContent</a>( <span class='pre'></span> ) : <a href=\"#!/api/econda.media.Category\" rel=\"econda.media.Category\" class=\"docClass\">econda.media.Category</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of content. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/econda.media.Content-cfg-content\" rel=\"econda.media.Content-cfg-content\" class=\"docClass\">content</a>.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/econda.media.Category\" rel=\"econda.media.Category\" class=\"docClass\">econda.media.Category</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getGetterName' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-getGetterName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-getGetterName' class='name expandable'>getGetterName</a>( <span class='pre'>propertyName</span> ) : String<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Converts property names to setter function names\nmyProperty => getMyProperty ...</div><div class='long'><p>Converts property names to setter function names\nmyProperty => getMyProperty</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>propertyName</span> : String<div class='sub-desc'><p>Name of class property</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'><p>Name of getter function for given property</p>\n</div></li></ul></div></div></div><div id='method-getName' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.media.Content'>econda.media.Content</span><br/><a href='source/Content.html#econda-media-Content-cfg-name' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.media.Content-method-getName' class='name expandable'>getName</a>( <span class='pre'></span> ) : String<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of name. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/econda.media.Content-cfg-name\" rel=\"econda.media.Content-cfg-name\" class=\"docClass\">name</a>.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getSetterName' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-getSetterName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-getSetterName' class='name expandable'>getSetterName</a>( <span class='pre'>propertyName</span> ) : String<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Converts property names to setter function names\nmyProperty => setMyProperty ...</div><div class='long'><p>Converts property names to setter function names\nmyProperty => setMyProperty</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>propertyName</span> : String<div class='sub-desc'><p>Name of class property</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'><p>Name of setter function for given property</p>\n</div></li></ul></div></div></div><div id='method-initConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-initConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-initConfig' class='name expandable'>initConfig</a>( <span class='pre'>cfg</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Initialized object based on configuration. ...</div><div class='long'><p>Initialized object based on configuration.\n(for docs)</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cfg</span> : Object<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-set' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-set' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-set' class='name expandable'>set</a>( <span class='pre'>cnf, [newValue]</span> ) : <a href=\"#!/api/econda.base.BaseClass\" rel=\"econda.base.BaseClass\" class=\"docClass\">econda.base.BaseClass</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Set multiple properties. ...</div><div class='long'><p>Set multiple properties.</p>\n\n<p>Example:\n    // set multiple properties\n    obj.set({\n        propertyName: newValue,\n        property2: newValue2\n    });</p>\n\n<pre><code>// set single property\n// you should use obj.setPropertyName(newValue) instead\nobj.set(\"propertyName\", newValue);\n\n// set default property\nobj.set(newValue);\n</code></pre>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cnf</span> : Object/String<div class='sub-desc'><p>Object containing multiple properties and values or name of property</p>\n</div></li><li><span class='pre'>newValue</span> : Mixed (optional)<div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/econda.base.BaseClass\" rel=\"econda.base.BaseClass\" class=\"docClass\">econda.base.BaseClass</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-setArray' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-setArray' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-setArray' class='name expandable'>setArray</a>( <span class='pre'>fieldName, data, type, options</span> ) : <a href=\"#!/api/econda.base.BaseClass\" rel=\"econda.base.BaseClass\" class=\"docClass\">econda.base.BaseClass</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Helper function to set objects to an array. ...</div><div class='long'><p>Helper function to set objects to an array. Will use data as constructor argument if data is not an instance of given type.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fieldName</span> : Object<div class='sub-desc'></div></li><li><span class='pre'>data</span> : Object<div class='sub-desc'></div></li><li><span class='pre'>type</span> : Object<div class='sub-desc'></div></li><li><span class='pre'>options</span> : Object<div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/econda.base.BaseClass\" rel=\"econda.base.BaseClass\" class=\"docClass\">econda.base.BaseClass</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-setContent' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.media.Content'>econda.media.Content</span><br/><a href='source/Content.html#econda-media-Content-cfg-content' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.media.Content-method-setContent' class='name expandable'>setContent</a>( <span class='pre'>content</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of content. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/econda.media.Content-cfg-content\" rel=\"econda.media.Content-cfg-content\" class=\"docClass\">content</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>content</span> : <a href=\"#!/api/econda.media.Category\" rel=\"econda.media.Category\" class=\"docClass\">econda.media.Category</a><div class='sub-desc'><p>The new value.</p>\n</div></li></ul></div></div></div><div id='method-setName' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.media.Content'>econda.media.Content</span><br/><a href='source/Content.html#econda-media-Content-cfg-name' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.media.Content-method-setName' class='name expandable'>setName</a>( <span class='pre'>name</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of name. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/econda.media.Content-cfg-name\" rel=\"econda.media.Content-cfg-name\" class=\"docClass\">name</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : String<div class='sub-desc'><p>The new value.</p>\n</div></li></ul></div></div></div><div id='method-toString' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.media.Content'>econda.media.Content</span><br/><a href='source/Content.html#econda-media-Content-method-toString' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.media.Content-method-toString' class='name expandable'>toString</a>( <span class='pre'></span> ) : String<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns category path + name as string ...</div><div class='long'><p>Returns category path + name as string</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'><p>e.g. \"/ProductVideos/MyVideo\" or \"MyVideo\" (if there's no category assigned)</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});