Ext.data.JsonP.econda_media_helper_YouTubeTracker({"tagname":"class","name":"econda.media.helper.YouTubeTracker","autodetected":{},"files":[{"filename":"YouTubeTracker.js","href":"YouTubeTracker.html#econda-media-helper-YouTubeTracker"}],"extends":"econda.base.BaseClass","params":[{"tagname":"params","type":"econda.media.helper.YouTubeTracker/Object","name":"cfg","doc":"<p>Helper configuration options</p>\n","html_type":"<a href=\"#!/api/econda.media.helper.YouTubeTracker\" rel=\"econda.media.helper.YouTubeTracker\" class=\"docClass\">econda.media.helper.YouTubeTracker</a>/Object"}],"members":[{"name":"player","tagname":"cfg","owner":"econda.media.helper.YouTubeTracker","id":"cfg-player","meta":{}},{"name":"tracker","tagname":"cfg","owner":"econda.media.helper.YouTubeTracker","id":"cfg-tracker","meta":{}},{"name":"__defaultProperty","tagname":"property","owner":"econda.base.BaseClass","id":"property-__defaultProperty","meta":{"private":true}},{"name":"playerId","tagname":"property","owner":"econda.media.helper.YouTubeTracker","id":"property-playerId","meta":{"private":true}},{"name":"playerType","tagname":"property","owner":"econda.media.helper.YouTubeTracker","id":"property-playerType","meta":{"private":true}},{"name":"_getClassName","tagname":"method","owner":"econda.base.BaseClass","id":"method-_getClassName","meta":{"private":true}},{"name":"addArray","tagname":"method","owner":"econda.base.BaseClass","id":"method-addArray","meta":{"chainable":true}},{"name":"clone","tagname":"method","owner":"econda.base.BaseClass","id":"method-clone","meta":{}},{"name":"get","tagname":"method","owner":"econda.base.BaseClass","id":"method-get","meta":{}},{"name":"getGetterName","tagname":"method","owner":"econda.base.BaseClass","id":"method-getGetterName","meta":{"private":true}},{"name":"getSetterName","tagname":"method","owner":"econda.base.BaseClass","id":"method-getSetterName","meta":{"private":true}},{"name":"getTracker","tagname":"method","owner":"econda.media.helper.YouTubeTracker","id":"method-getTracker","meta":{}},{"name":"handleReadyIframe","tagname":"method","owner":"econda.media.helper.YouTubeTracker","id":"method-handleReadyIframe","meta":{"private":true}},{"name":"handleStateChangeIframe","tagname":"method","owner":"econda.media.helper.YouTubeTracker","id":"method-handleStateChangeIframe","meta":{"chainable":true,"private":true}},{"name":"initConfig","tagname":"method","owner":"econda.base.BaseClass","id":"method-initConfig","meta":{"private":true}},{"name":"set","tagname":"method","owner":"econda.base.BaseClass","id":"method-set","meta":{"chainable":true}},{"name":"setArray","tagname":"method","owner":"econda.base.BaseClass","id":"method-setArray","meta":{"chainable":true}},{"name":"setTracker","tagname":"method","owner":"econda.media.helper.YouTubeTracker","id":"method-setTracker","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-econda.media.helper.YouTubeTracker","short_doc":"Helper class for tracking youtube videos. ...","component":false,"superclasses":["econda.base.BaseClass"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='docClass'>econda.base.BaseClass</a><div class='subclass '><strong>econda.media.helper.YouTubeTracker</strong></div></div><h4>Files</h4><div class='dependency'><a href='source/YouTubeTracker.html#econda-media-helper-YouTubeTracker' target='_blank'>YouTubeTracker.js</a></div></pre><div class='doc-contents'><p>Helper class for tracking youtube videos.</p>\n\n<p>Example using youtube IFRAME API:</p>\n\n<pre><code>&lt;!-- you tube player will replace this &lt;div&gt; tag. --&gt;\n&lt;div id=\"ytplayer_id\"&gt;&lt;/div&gt;\n\n&lt;script type=\"text/javascript\"&gt;\n    function onYouTubeIframeAPIReady() {\n\n        var ytplayer = new YT.Player('ytplayer_id', {\n            height: '390',\n            width: '640',\n            videoId: 'nHNq1tK3rFg'\n        });\n\n        // Setup player tracker\n        var ytTrackingHelper = new <a href=\"#!/api/econda.media.helper.YouTubeTracker\" rel=\"econda.media.helper.YouTubeTracker\" class=\"docClass\">econda.media.helper.YouTubeTracker</a>({\n            player: ytplayer,\n            tracker: {content: \"Example Video\"}\n        });\n    }\n&lt;/script&gt;\n</code></pre>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cfg</span> : <a href=\"#!/api/econda.media.helper.YouTubeTracker\" rel=\"econda.media.helper.YouTubeTracker\" class=\"docClass\">econda.media.helper.YouTubeTracker</a>/Object<div class='sub-desc'><p>Helper configuration options</p>\n</div></li></ul></div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-player' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.media.helper.YouTubeTracker'>econda.media.helper.YouTubeTracker</span><br/><a href='source/YouTubeTracker.html#econda-media-helper-YouTubeTracker-cfg-player' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.media.helper.YouTubeTracker-cfg-player' class='name expandable'>player</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Reference to youtube player. ...</div><div class='long'><p>Reference to youtube player. Required in constructur.</p>\n</div></div></div><div id='cfg-tracker' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.media.helper.YouTubeTracker'>econda.media.helper.YouTubeTracker</span><br/><a href='source/YouTubeTracker.html#econda-media-helper-YouTubeTracker-cfg-tracker' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.media.helper.YouTubeTracker-cfg-tracker' class='name expandable'>tracker</a> : <a href=\"#!/api/econda.media.MediaTracker\" rel=\"econda.media.MediaTracker\" class=\"docClass\">econda.media.MediaTracker</a>/Object<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Reference to tracker object or config options for a new tracker object.</p>\n</div><div class='long'><p>Reference to tracker object or config options for a new tracker object.</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-__defaultProperty' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-property-__defaultProperty' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-property-__defaultProperty' class='name expandable'>__defaultProperty</a> : Object<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'><p>Name of property to use if constructor is called with parameters != Object</p>\n</div><div class='long'><p>Name of property to use if constructor is called with parameters != Object</p>\n</div></div></div><div id='property-playerId' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.media.helper.YouTubeTracker'>econda.media.helper.YouTubeTracker</span><br/><a href='source/YouTubeTracker.html#econda-media-helper-YouTubeTracker-property-playerId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.media.helper.YouTubeTracker-property-playerId' class='name expandable'>playerId</a> : String<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Id of youtube player. ...</div><div class='long'><p>Id of youtube player. Will be set in setPlayer method and must not be modified anywhere else.</p>\n</div></div></div><div id='property-playerType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.media.helper.YouTubeTracker'>econda.media.helper.YouTubeTracker</span><br/><a href='source/YouTubeTracker.html#econda-media-helper-YouTubeTracker-property-playerType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.media.helper.YouTubeTracker-property-playerType' class='name expandable'>playerType</a> : String<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Type of you tube player. ...</div><div class='long'><p>Type of you tube player. One of \"iframe\". Will be set in setPlayer method and must not be modified anywhere else.</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-_getClassName' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-_getClassName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-_getClassName' class='name expandable'>_getClassName</a>( <span class='pre'></span> ) : String<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>get name of class. ...</div><div class='long'><p>get name of class. This will fail on older browsers and is intended for debug logging only</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-addArray' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-addArray' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-addArray' class='name expandable'>addArray</a>( <span class='pre'>fieldName, data, type, callback</span> ) : <a href=\"#!/api/econda.base.BaseClass\" rel=\"econda.base.BaseClass\" class=\"docClass\">econda.base.BaseClass</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Helper function to add objects to an array. ...</div><div class='long'><p>Helper function to add objects to an array. Will use data as constructor argument if data is not an instance of given type.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fieldName</span> : String<div class='sub-desc'>\n</div></li><li><span class='pre'>data</span> : Mixed<div class='sub-desc'><p>instance or config</p>\n</div></li><li><span class='pre'>type</span> : Function<div class='sub-desc'><p>Reference to class</p>\n</div></li><li><span class='pre'>callback</span> : Function<div class='sub-desc'>\n<p>Defaults to: <code>null</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/econda.base.BaseClass\" rel=\"econda.base.BaseClass\" class=\"docClass\">econda.base.BaseClass</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-clone' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-clone' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-clone' class='name expandable'>clone</a>( <span class='pre'></span> ) : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Create a clone of current instance. ...</div><div class='long'><p>Create a clone of current instance.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-get' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-get' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-get' class='name expandable'>get</a>( <span class='pre'>propertyName</span> ) : Mixed<span class=\"signature\"></span></div><div class='description'><div class='short'>Get property value by name ...</div><div class='long'><p>Get property value by name</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>propertyName</span> : String<div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getGetterName' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-getGetterName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-getGetterName' class='name expandable'>getGetterName</a>( <span class='pre'>propertyName</span> ) : String<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Converts property names to setter function names\nmyProperty => getMyProperty ...</div><div class='long'><p>Converts property names to setter function names\nmyProperty => getMyProperty</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>propertyName</span> : String<div class='sub-desc'><p>Name of class property</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'><p>Name of getter function for given property</p>\n</div></li></ul></div></div></div><div id='method-getSetterName' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-getSetterName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-getSetterName' class='name expandable'>getSetterName</a>( <span class='pre'>propertyName</span> ) : String<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Converts property names to setter function names\nmyProperty => setMyProperty ...</div><div class='long'><p>Converts property names to setter function names\nmyProperty => setMyProperty</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>propertyName</span> : String<div class='sub-desc'><p>Name of class property</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'><p>Name of setter function for given property</p>\n</div></li></ul></div></div></div><div id='method-getTracker' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.media.helper.YouTubeTracker'>econda.media.helper.YouTubeTracker</span><br/><a href='source/YouTubeTracker.html#econda-media-helper-YouTubeTracker-cfg-tracker' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.media.helper.YouTubeTracker-method-getTracker' class='name expandable'>getTracker</a>( <span class='pre'></span> ) : <a href=\"#!/api/econda.media.MediaTracker\" rel=\"econda.media.MediaTracker\" class=\"docClass\">econda.media.MediaTracker</a>/Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of tracker. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/econda.media.helper.YouTubeTracker-cfg-tracker\" rel=\"econda.media.helper.YouTubeTracker-cfg-tracker\" class=\"docClass\">tracker</a>.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/econda.media.MediaTracker\" rel=\"econda.media.MediaTracker\" class=\"docClass\">econda.media.MediaTracker</a>/Object</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-handleReadyIframe' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.media.helper.YouTubeTracker'>econda.media.helper.YouTubeTracker</span><br/><a href='source/YouTubeTracker.html#econda-media-helper-YouTubeTracker-method-handleReadyIframe' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.media.helper.YouTubeTracker-method-handleReadyIframe' class='name expandable'>handleReadyIframe</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Handle iframe api onReady event ...</div><div class='long'><p>Handle iframe api onReady event</p>\n</div></div></div><div id='method-handleStateChangeIframe' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.media.helper.YouTubeTracker'>econda.media.helper.YouTubeTracker</span><br/><a href='source/YouTubeTracker.html#econda-media-helper-YouTubeTracker-method-handleStateChangeIframe' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.media.helper.YouTubeTracker-method-handleStateChangeIframe' class='name expandable'>handleStateChangeIframe</a>( <span class='pre'>newState</span> ) : <a href=\"#!/api/econda.media.helper.YouTubeTracker\" rel=\"econda.media.helper.YouTubeTracker\" class=\"docClass\">econda.media.helper.YouTubeTracker</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'>Handle onStateChange event of youtube player ...</div><div class='long'><p>Handle onStateChange event of youtube player</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newState</span> : Object<div class='sub-desc'><p>new state of youtube player</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/econda.media.helper.YouTubeTracker\" rel=\"econda.media.helper.YouTubeTracker\" class=\"docClass\">econda.media.helper.YouTubeTracker</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-initConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-initConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-initConfig' class='name expandable'>initConfig</a>( <span class='pre'>cfg</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Initialized object based on configuration. ...</div><div class='long'><p>Initialized object based on configuration.\n(for docs)</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cfg</span> : Object<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-set' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-set' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-set' class='name expandable'>set</a>( <span class='pre'>cnf, [newValue]</span> ) : <a href=\"#!/api/econda.base.BaseClass\" rel=\"econda.base.BaseClass\" class=\"docClass\">econda.base.BaseClass</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Set multiple properties. ...</div><div class='long'><p>Set multiple properties.</p>\n\n<p>Example:\n    // set multiple properties\n    obj.set({\n        propertyName: newValue,\n        property2: newValue2\n    });</p>\n\n<pre><code>// set single property\n// you should use obj.setPropertyName(newValue) instead\nobj.set(\"propertyName\", newValue);\n\n// set default property\nobj.set(newValue);\n</code></pre>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cnf</span> : Object/String<div class='sub-desc'><p>Object containing multiple properties and values or name of property</p>\n</div></li><li><span class='pre'>newValue</span> : Mixed (optional)<div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/econda.base.BaseClass\" rel=\"econda.base.BaseClass\" class=\"docClass\">econda.base.BaseClass</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-setArray' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/econda.base.BaseClass' rel='econda.base.BaseClass' class='defined-in docClass'>econda.base.BaseClass</a><br/><a href='source/BaseClass.html#econda-base-BaseClass-method-setArray' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.base.BaseClass-method-setArray' class='name expandable'>setArray</a>( <span class='pre'>fieldName, data, type, options</span> ) : <a href=\"#!/api/econda.base.BaseClass\" rel=\"econda.base.BaseClass\" class=\"docClass\">econda.base.BaseClass</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Helper function to set objects to an array. ...</div><div class='long'><p>Helper function to set objects to an array. Will use data as constructor argument if data is not an instance of given type.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fieldName</span> : Object<div class='sub-desc'></div></li><li><span class='pre'>data</span> : Object<div class='sub-desc'></div></li><li><span class='pre'>type</span> : Object<div class='sub-desc'></div></li><li><span class='pre'>options</span> : Object<div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/econda.base.BaseClass\" rel=\"econda.base.BaseClass\" class=\"docClass\">econda.base.BaseClass</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-setTracker' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.media.helper.YouTubeTracker'>econda.media.helper.YouTubeTracker</span><br/><a href='source/YouTubeTracker.html#econda-media-helper-YouTubeTracker-cfg-tracker' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.media.helper.YouTubeTracker-method-setTracker' class='name expandable'>setTracker</a>( <span class='pre'>tracker</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of tracker. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/econda.media.helper.YouTubeTracker-cfg-tracker\" rel=\"econda.media.helper.YouTubeTracker-cfg-tracker\" class=\"docClass\">tracker</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>tracker</span> : <a href=\"#!/api/econda.media.MediaTracker\" rel=\"econda.media.MediaTracker\" class=\"docClass\">econda.media.MediaTracker</a>/Object<div class='sub-desc'><p>The new value.</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});