Ext.data.JsonP.econda_recengine_context_CategoryReference({"tagname":"class","name":"econda.recengine.context.CategoryReference","autodetected":{},"files":[{"filename":"CategoryReference.js","href":"CategoryReference.html#econda-recengine-context-CategoryReference"}],"members":[{"name":"id","tagname":"cfg","owner":"econda.recengine.context.CategoryReference","id":"cfg-id","meta":{}},{"name":"path","tagname":"cfg","owner":"econda.recengine.context.CategoryReference","id":"cfg-path","meta":{}},{"name":"type","tagname":"cfg","owner":"econda.recengine.context.CategoryReference","id":"cfg-type","meta":{}},{"name":"variant","tagname":"cfg","owner":"econda.recengine.context.CategoryReference","id":"cfg-variant","meta":{}},{"name":"getType","tagname":"method","owner":"econda.recengine.context.CategoryReference","id":"method-getType","meta":{}},{"name":"setPath","tagname":"method","owner":"econda.recengine.context.CategoryReference","id":"method-setPath","meta":{"chainable":true}},{"name":"setType","tagname":"method","owner":"econda.recengine.context.CategoryReference","id":"method-setType","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-econda.recengine.context.CategoryReference","short_doc":"Represents a category, we want to get recommendations for. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/CategoryReference.html#econda-recengine-context-CategoryReference' target='_blank'>CategoryReference.js</a></div></pre><div class='doc-contents'><p>Represents a category, we want to get recommendations for.\nA category must have a type, which is in general, the field name. E.g. \"productcategory\", \"brand\", ..\nThe category itself can be identified by id (as given in import feed) or path.</p>\n\n<p>A context category is always assigned to a <a href=\"#!/api/econda.recengine.context.Context\" rel=\"econda.recengine.context.Context\" class=\"docClass\">econda.recengine.context.Context</a> object. Normally the easiest way\nis to use a category configuration in <a href=\"#!/api/econda.recengine.context.Context-method-setCategories\" rel=\"econda.recengine.context.Context-method-setCategories\" class=\"docClass\">econda.recengine.context.Context.setCategories</a></p>\n\n<pre><code>// example: pass single category as configuration and identify category by path as string\nmyContextObject.setCategories({\n    type: 'brand',\n    path: {\n         path: 'my&gt;category&gt;path',\n         delimiter: '&gt;'\n    }\n});\n\n// example: pass single category as configuration and identify category by path as an array\nmyContextObject.setCategories({\n    type: 'brand',\n    path: ['my', 'category', 'path']\n});\n\n// example: pass single category as category object and identify category by id\nmyContextObject.setCategories(new <a href=\"#!/api/econda.recengine.context.CategoryReference\" rel=\"econda.recengine.context.CategoryReference\" class=\"docClass\">econda.recengine.context.CategoryReference</a>({\n    type: 'productcategory',\n    id: 'A142'\n}));\n\n// example: pass different categories and types as array\n</code></pre>\n\n<p> widget.context.setCategories([\n     {\n        type: 'productcategory',\n        path: {\n            path: 'home>Herren>Schuhe>Boots &amp; Stiefel',\n            delimiter: '>'\n        }\n    },{\n        type: 'productcategory',\n        path: {\n            path: 'home>Damen>Schuhe>Ballerinas',\n            delimiter: '>'\n        }\n    }, {\n        type: 'brand',\n        path: {\n            path: 'venice',\n            delimiter: '>'\n        }\n    }\n ]);</p>\n\n<p>Preferred way to identify a category is by its id.</p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-id' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.recengine.context.CategoryReference'>econda.recengine.context.CategoryReference</span><br/><a href='source/CategoryReference.html#econda-recengine-context-CategoryReference-cfg-id' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.recengine.context.CategoryReference-cfg-id' class='name expandable'>id</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Category id, see #setCategory for details.</p>\n</div><div class='long'><p>Category id, see #setCategory for details.</p>\n</div></div></div><div id='cfg-path' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.recengine.context.CategoryReference'>econda.recengine.context.CategoryReference</span><br/><a href='source/CategoryReference.html#econda-recengine-context-CategoryReference-cfg-path' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.recengine.context.CategoryReference-cfg-path' class='name expandable'>path</a> : Array|Object|String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Category path, see <a href=\"#!/api/econda.recengine.context.CategoryReference-method-setPath\" rel=\"econda.recengine.context.CategoryReference-method-setPath\" class=\"docClass\">setPath</a> for details.</p>\n</div><div class='long'><p>Category path, see <a href=\"#!/api/econda.recengine.context.CategoryReference-method-setPath\" rel=\"econda.recengine.context.CategoryReference-method-setPath\" class=\"docClass\">setPath</a> for details.</p>\n</div></div></div><div id='cfg-type' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.recengine.context.CategoryReference'>econda.recengine.context.CategoryReference</span><br/><a href='source/CategoryReference.html#econda-recengine-context-CategoryReference-cfg-type' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.recengine.context.CategoryReference-cfg-type' class='name expandable'>type</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'>Category type, this is the field name of category, e.g. ...</div><div class='long'><p>Category type, this is the field name of category, e.g. \"productcategory\", \"brand\". See <a href=\"#!/api/econda.recengine.context.CategoryReference-method-setType\" rel=\"econda.recengine.context.CategoryReference-method-setType\" class=\"docClass\">setType</a> for details.</p>\n<p>Defaults to: <code>&quot;productcategory&quot;</code></p></div></div></div><div id='cfg-variant' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.recengine.context.CategoryReference'>econda.recengine.context.CategoryReference</span><br/><a href='source/CategoryReference.html#econda-recengine-context-CategoryReference-cfg-variant' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.recengine.context.CategoryReference-cfg-variant' class='name expandable'>variant</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Variant key, see #setVariant for details.</p>\n</div><div class='long'><p>Variant key, see #setVariant for details.</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-getType' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.recengine.context.CategoryReference'>econda.recengine.context.CategoryReference</span><br/><a href='source/CategoryReference.html#econda-recengine-context-CategoryReference-cfg-type' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.recengine.context.CategoryReference-method-getType' class='name expandable'>getType</a>( <span class='pre'></span> ) : String<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of type. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/econda.recengine.context.CategoryReference-cfg-type\" rel=\"econda.recengine.context.CategoryReference-cfg-type\" class=\"docClass\">type</a>.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setPath' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.recengine.context.CategoryReference'>econda.recengine.context.CategoryReference</span><br/><a href='source/CategoryReference.html#econda-recengine-context-CategoryReference-method-setPath' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.recengine.context.CategoryReference-method-setPath' class='name expandable'>setPath</a>( <span class='pre'>path</span> ) : <a href=\"#!/api/econda.recengine.context.CategoryReference\" rel=\"econda.recengine.context.CategoryReference\" class=\"docClass\">econda.recengine.context.CategoryReference</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Set path, multiple formats allowed:\n\nArray of parts:\n\ncat.setPath([\"part1\", \"part2\"] // e.g. ...</div><div class='long'><p>Set path, multiple formats allowed:</p>\n\n<p>Array of parts:</p>\n\n<pre><code>cat.setPath([\"part1\", \"part2\"] // e.g. \"tv\", \"lcd\"\n</code></pre>\n\n<p>Path as string:</p>\n\n<pre><code>cat.setPath({\n  path: \"part1/part2\",\n  delimiter: \"/\"\n});\n</code></pre>\n\n<p>Path as string with default delimiter:</p>\n\n<pre><code>cat.setPath(\"part1/part2\");\n</code></pre>\n\n<p>If a single path element contains a delimiter, use array syntax or specify delimiter (see above).</p>\n\n<pre><code>  cat.setPath([\"a/b\"]);\n</code></pre>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>path</span> : Object<div class='sub-desc'><p>return (<a href=\"#!/api/econda.recengine.context.CategoryReference\" rel=\"econda.recengine.context.CategoryReference\" class=\"docClass\">econda.recengine.context.CategoryReference</a>)</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/econda.recengine.context.CategoryReference\" rel=\"econda.recengine.context.CategoryReference\" class=\"docClass\">econda.recengine.context.CategoryReference</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-setType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.recengine.context.CategoryReference'>econda.recengine.context.CategoryReference</span><br/><a href='source/CategoryReference.html#econda-recengine-context-CategoryReference-cfg-type' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.recengine.context.CategoryReference-method-setType' class='name expandable'>setType</a>( <span class='pre'>type</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of type. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/econda.recengine.context.CategoryReference-cfg-type\" rel=\"econda.recengine.context.CategoryReference-cfg-type\" class=\"docClass\">type</a>.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>type</span> : String<div class='sub-desc'><p>The new value.</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});