Ext.data.JsonP.econda_tracking_PluginManager({"tagname":"class","name":"econda.tracking.PluginManager","autodetected":{},"files":[{"filename":"PluginManager.js","href":"PluginManager.html#econda-tracking-PluginManager"}],"members":[{"name":"_plugins","tagname":"property","owner":"econda.tracking.PluginManager","id":"static-property-_plugins","meta":{"private":true,"static":true}},{"name":"clearAll","tagname":"method","owner":"econda.tracking.PluginManager","id":"static-method-clearAll","meta":{"static":true}},{"name":"getRegisteredPlugins","tagname":"method","owner":"econda.tracking.PluginManager","id":"static-method-getRegisteredPlugins","meta":{"static":true}},{"name":"handleTrackingAfterRequestCallback","tagname":"method","owner":"econda.tracking.PluginManager","id":"static-method-handleTrackingAfterRequestCallback","meta":{"private":true,"static":true}},{"name":"handleTrackingRequestEvent","tagname":"method","owner":"econda.tracking.PluginManager","id":"static-method-handleTrackingRequestEvent","meta":{"private":true,"static":true}},{"name":"registerManager","tagname":"method","owner":"econda.tracking.PluginManager","id":"static-method-registerManager","meta":{"static":true}},{"name":"registerPlugin","tagname":"method","owner":"econda.tracking.PluginManager","id":"static-method-registerPlugin","meta":{"static":true}}],"alternateClassNames":[],"aliases":{},"id":"class-econda.tracking.PluginManager","short_doc":"Plug-in manager acts as an defined interface to emos3 tracking library. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/PluginManager.html#econda-tracking-PluginManager' target='_blank'>PluginManager.js</a></div></pre><div class='doc-contents'><p>Plug-in manager acts as an defined interface to emos3 tracking library.</p>\n\n<h3>Example plug-in:</h3>\n\n\n<pre><code>var myPlugin = {\n  onRequest: function(emosProperties) { console.log(emosProperties); }\n};\n<a href=\"#!/api/econda.tracking.PluginManager-static-method-registerPlugin\" rel=\"econda.tracking.PluginManager-static-method-registerPlugin\" class=\"docClass\">econda.tracking.PluginManager.registerPlugin</a>(myPlugin);\n</code></pre>\n</div><div class='members'><div class='members-section'><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static properties</h3><div id='static-property-_plugins' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.tracking.PluginManager'>econda.tracking.PluginManager</span><br/><a href='source/PluginManager.html#econda-tracking-PluginManager-static-property-_plugins' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.tracking.PluginManager-static-property-_plugins' class='name expandable'>_plugins</a> : Object[]<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Array of registered plugins ...</div><div class='long'><p>Array of registered plugins</p>\n<p>Defaults to: <code>[]</code></p></div></div></div></div></div><div class='members-section'><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static methods</h3><div id='static-method-clearAll' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.tracking.PluginManager'>econda.tracking.PluginManager</span><br/><a href='source/PluginManager.html#econda-tracking-PluginManager-static-method-clearAll' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.tracking.PluginManager-static-method-clearAll' class='name expandable'>clearAll</a>( <span class='pre'></span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Remove all registered plug-ins ...</div><div class='long'><p>Remove all registered plug-ins</p>\n</div></div></div><div id='static-method-getRegisteredPlugins' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.tracking.PluginManager'>econda.tracking.PluginManager</span><br/><a href='source/PluginManager.html#econda-tracking-PluginManager-static-method-getRegisteredPlugins' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.tracking.PluginManager-static-method-getRegisteredPlugins' class='name expandable'>getRegisteredPlugins</a>( <span class='pre'></span> ) : Object[]<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Returns an array of all registered plug-ins. ...</div><div class='long'><p>Returns an array of all registered plug-ins.</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object[]</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='static-method-handleTrackingAfterRequestCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.tracking.PluginManager'>econda.tracking.PluginManager</span><br/><a href='source/PluginManager.html#econda-tracking-PluginManager-static-method-handleTrackingAfterRequestCallback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.tracking.PluginManager-static-method-handleTrackingAfterRequestCallback' class='name expandable'>handleTrackingAfterRequestCallback</a>( <span class='pre'>properties, globalConfig, config</span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Internal function. ...</div><div class='long'><p>Internal function. That's the function we pass as a callback to emos3.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>properties</span> : Object<div class='sub-desc'></div></li><li><span class='pre'>globalConfig</span> : Object<div class='sub-desc'></div></li><li><span class='pre'>config</span> : Object<div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-handleTrackingRequestEvent' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.tracking.PluginManager'>econda.tracking.PluginManager</span><br/><a href='source/PluginManager.html#econda-tracking-PluginManager-static-method-handleTrackingRequestEvent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.tracking.PluginManager-static-method-handleTrackingRequestEvent' class='name expandable'>handleTrackingRequestEvent</a>( <span class='pre'>properties, globalConfigProperties, config</span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Internal function. ...</div><div class='long'><p>Internal function. That's the function we register as emos3 plugin.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>properties</span> : Object<div class='sub-desc'></div></li><li><span class='pre'>globalConfigProperties</span> : Object<div class='sub-desc'></div></li><li><span class='pre'>config</span> : Object<div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-registerManager' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.tracking.PluginManager'>econda.tracking.PluginManager</span><br/><a href='source/PluginManager.html#econda-tracking-PluginManager-static-method-registerManager' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.tracking.PluginManager-static-method-registerManager' class='name expandable'>registerManager</a>( <span class='pre'></span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Register plugin manager as emos3 plugin ...</div><div class='long'><p>Register plugin manager as emos3 plugin</p>\n</div></div></div><div id='static-method-registerPlugin' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.tracking.PluginManager'>econda.tracking.PluginManager</span><br/><a href='source/PluginManager.html#econda-tracking-PluginManager-static-method-registerPlugin' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.tracking.PluginManager-static-method-registerPlugin' class='name expandable'>registerPlugin</a>( <span class='pre'>plugin</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Register plugin ...</div><div class='long'><p>Register plugin</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>plugin</span> : Object<div class='sub-desc'><p>Plug-in to add</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});