Ext.data.JsonP.econda_util_DomHelper({"tagname":"class","name":"econda.util.DomHelper","autodetected":{},"files":[{"filename":"DomHelper.js","href":"DomHelper.html#econda-util-DomHelper"}],"static":true,"members":[{"name":"useJQueryIfLoaded","tagname":"property","owner":"econda.util.DomHelper","id":"property-useJQueryIfLoaded","meta":{}},{"name":"_generateScriptNode","tagname":"method","owner":"econda.util.DomHelper","id":"method-_generateScriptNode","meta":{"private":true}},{"name":"_handleJavascript","tagname":"method","owner":"econda.util.DomHelper","id":"method-_handleJavascript","meta":{"private":true}},{"name":"_update","tagname":"method","owner":"econda.util.DomHelper","id":"method-_update","meta":{"private":true}},{"name":"_useJQuery","tagname":"method","owner":"econda.util.DomHelper","id":"method-_useJQuery","meta":{"private":true}},{"name":"appendFromHtml","tagname":"method","owner":"econda.util.DomHelper","id":"method-appendFromHtml","meta":{}},{"name":"createFragmentFromHtml","tagname":"method","owner":"econda.util.DomHelper","id":"method-createFragmentFromHtml","meta":{}},{"name":"documentReady","tagname":"method","owner":"econda.util.DomHelper","id":"method-documentReady","meta":{}},{"name":"element","tagname":"method","owner":"econda.util.DomHelper","id":"method-element","meta":{}},{"name":"elements","tagname":"method","owner":"econda.util.DomHelper","id":"method-elements","meta":{}},{"name":"isDocumentReady","tagname":"method","owner":"econda.util.DomHelper","id":"method-isDocumentReady","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"static-class-econda.util.DomHelper","short_doc":"Dom helper functions. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/DomHelper.html#econda-util-DomHelper' target='_blank'>DomHelper.js</a></div></pre><div class='doc-contents'><p>Dom helper functions.</p>\n\n<h3>JQuery Support</h3>\n\n\n<p>If jQuery is loaded, most functions will use jQuery dom manipulation functions. This allows the use of css selectors.</p>\n\n<p>Example without jQuery\n    // only element ids are allowed\n    var w = new <a href=\"#!/api/econda.recengine.Widget\" rel=\"econda.recengine.Widget\" class=\"docClass\">econda.recengine.Widget</a>({element: '#HTMLElementId' });</p>\n\n<p>Example when jQuery is loaded\n    // jQuery css selectors are supported\n    var w = new <a href=\"#!/api/econda.recengine.Widget\" rel=\"econda.recengine.Widget\" class=\"docClass\">econda.recengine.Widget</a>({element: '.myWidgetContainer .inner' });</p>\n\n<p>Do not allow econda sdk functions to use jQuery:\n    <a href=\"#!/api/econda.util.DomHelper-property-useJQueryIfLoaded\" rel=\"econda.util.DomHelper-property-useJQueryIfLoaded\" class=\"docClass\">econda.util.DomHelper.useJQueryIfLoaded</a> = false;</p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-useJQueryIfLoaded' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.util.DomHelper'>econda.util.DomHelper</span><br/><a href='source/DomHelper.html#econda-util-DomHelper-property-useJQueryIfLoaded' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.util.DomHelper-property-useJQueryIfLoaded' class='name expandable'>useJQueryIfLoaded</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Set to true if we should use jQuery functions if available. ...</div><div class='long'><p>Set to true if we should use jQuery functions if available.\nIf set to false, CSS selectors and any other jquery related features\nare not availabe.</p>\n<p>Defaults to: <code>true</code></p></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-_generateScriptNode' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.util.DomHelper'>econda.util.DomHelper</span><br/><a href='source/DomHelper.html#econda-util-DomHelper-method-_generateScriptNode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.util.DomHelper-method-_generateScriptNode' class='name expandable'>_generateScriptNode</a>( <span class='pre'>code</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Create and return JavaScript node with given source code ...</div><div class='long'><p>Create and return JavaScript node with given source code</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>code</span> : String<div class='sub-desc'><p>JavaScript code</p>\n</div></li></ul></div></div></div><div id='method-_handleJavascript' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.util.DomHelper'>econda.util.DomHelper</span><br/><a href='source/DomHelper.html#econda-util-DomHelper-method-_handleJavascript' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.util.DomHelper-method-_handleJavascript' class='name expandable'>_handleJavascript</a>( <span class='pre'>element</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Fallback function javascript handler if jquery is not loaded or useJQueryIfLoaded was set to false ...</div><div class='long'><p>Fallback function javascript handler if jquery is not loaded or useJQueryIfLoaded was set to false</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>element</span> : HTMLElement<div class='sub-desc'><p>parent element object</p>\n</div></li></ul></div></div></div><div id='method-_update' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.util.DomHelper'>econda.util.DomHelper</span><br/><a href='source/DomHelper.html#econda-util-DomHelper-method-_update' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.util.DomHelper-method-_update' class='name expandable'>_update</a>( <span class='pre'>element, html</span> ) : String<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Fallback function if jquery is not loaded or useJQueryIfLoaded was set to false ...</div><div class='long'><p>Fallback function if jquery is not loaded or useJQueryIfLoaded was set to false</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>element</span> : String|HTMLElement<div class='sub-desc'><p>Element id as string or JavaScript element object</p>\n</div></li><li><span class='pre'>html</span> : String<div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>String</span><div class='sub-desc'><p>inner html of element</p>\n</div></li></ul></div></div></div><div id='method-_useJQuery' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.util.DomHelper'>econda.util.DomHelper</span><br/><a href='source/DomHelper.html#econda-util-DomHelper-method-_useJQuery' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.util.DomHelper-method-_useJQuery' class='name expandable'>_useJQuery</a>( <span class='pre'></span> ) : Boolean<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Returns true if econda.util.DomHelper.useJQueryIfLoaded is true and jQuery is available ...</div><div class='long'><p>Returns true if <a href=\"#!/api/econda.util.DomHelper-property-useJQueryIfLoaded\" rel=\"econda.util.DomHelper-property-useJQueryIfLoaded\" class=\"docClass\">econda.util.DomHelper.useJQueryIfLoaded</a> is true and jQuery is available</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-appendFromHtml' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.util.DomHelper'>econda.util.DomHelper</span><br/><a href='source/DomHelper.html#econda-util-DomHelper-method-appendFromHtml' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.util.DomHelper-method-appendFromHtml' class='name expandable'>appendFromHtml</a>( <span class='pre'>parentNode, html</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Appends html to given parent node. ...</div><div class='long'><p>Appends html to given parent node. Executes javascript nodes in html.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>parentNode</span> : Object<div class='sub-desc'></div></li><li><span class='pre'>html</span> : Object<div class='sub-desc'></div></li></ul></div></div></div><div id='method-createFragmentFromHtml' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.util.DomHelper'>econda.util.DomHelper</span><br/><a href='source/DomHelper.html#econda-util-DomHelper-method-createFragmentFromHtml' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.util.DomHelper-method-createFragmentFromHtml' class='name expandable'>createFragmentFromHtml</a>( <span class='pre'>html</span> ) : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a document fragment from given html string ...</div><div class='long'><p>Creates a document fragment from given html string</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>html</span> : String<div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>DocumentFragment object</p>\n</div></li></ul></div></div></div><div id='method-documentReady' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.util.DomHelper'>econda.util.DomHelper</span><br/><a href='source/DomHelper.html#econda-util-DomHelper-method-documentReady' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.util.DomHelper-method-documentReady' class='name expandable'>documentReady</a>( <span class='pre'>callback</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Register callback function to be called on document ready. ...</div><div class='long'><p>Register callback function to be called on document ready. If a function is registered while document is already ready\nthe function will be executed immediately.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>callback</span> : Function<div class='sub-desc'><p>Callback handler</p>\n</div></li></ul></div></div></div><div id='method-element' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.util.DomHelper'>econda.util.DomHelper</span><br/><a href='source/DomHelper.html#econda-util-DomHelper-method-element' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.util.DomHelper-method-element' class='name expandable'>element</a>( <span class='pre'>element</span> ) : HTMLElement<span class=\"signature\"></span></div><div class='description'><div class='short'>Converts element identification (id or element reference) to element reference ...</div><div class='long'><p>Converts element identification (id or element reference) to element reference</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>element</span> : HTMLElement/String<div class='sub-desc'><p>object or id</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>HTMLElement</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-elements' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.util.DomHelper'>econda.util.DomHelper</span><br/><a href='source/DomHelper.html#econda-util-DomHelper-method-elements' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.util.DomHelper-method-elements' class='name expandable'>elements</a>( <span class='pre'>selector</span> ) : HTMLElement[]<span class=\"signature\"></span></div><div class='description'><div class='short'>Converts element identification (id or element reference) to element reference ...</div><div class='long'><p>Converts element identification (id or element reference) to element reference</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>selector</span> : HTMLElement/String<div class='sub-desc'><p>element object or id</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>HTMLElement[]</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-isDocumentReady' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='econda.util.DomHelper'>econda.util.DomHelper</span><br/><a href='source/DomHelper.html#econda-util-DomHelper-method-isDocumentReady' target='_blank' class='view-source'>view source</a></div><a href='#!/api/econda.util.DomHelper-method-isDocumentReady' class='name expandable'>isDocumentReady</a>( <span class='pre'></span> ) : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>True if document is ready ...</div><div class='long'><p>True if document is ready</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Boolean</span><div class='sub-desc'>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{"static":true}});